Name:       certwatch
Version:    1.0
Release:    %mkrel 8
Summary:    SSL certificate monitoring
Source0:    %{name}-%{version}.tar.gz
Patch0:     %{name}-1.0-mdv.patch
Group:      System/Servers
License:    GPL
BuildRequires:  openssl-devel
BuildRequires:  xmlto
Conflicts:      apache-mod_ssl <= 2.2.4-7mdv2008.0
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The  certwatch  program  is used to issue warning when an SSL certificate is
about to expire.

%prep
%setup -q
%patch -p 1

%build 
cc %optflags -Wall -Werror -I/usr/include/openssl \
   certwatch.c -o certwatch -lcrypto

xmlto man certwatch.xml

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily \
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig \
         %{buildroot}%{_mandir}/man1 \
         %{buildroot}%{_bindir}

# install certwatch
install -c -m 755 certwatch %{buildroot}%{_bindir}/certwatch
install -c -m 755 certwatch.cron \
   %{buildroot}%{_sysconfdir}/cron.daily/certwatch
install -c -m 644 certwatch.1 \
   %{buildroot}%{_mandir}/man1/certwatch.1

cat > %{buildroot}%{_sysconfdir}/sysconfig/%{name} <<EOF
# certwatch cron task options
CERTS_DIR=/etc/pki/tls/certs
CERTWATCH_OPTS=
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/cron.daily/certwatch
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man1/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-8mdv2009.0
+ Revision: 243476
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-6mdv2008.1
+ Revision: 136291
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-6mdv2008.0
+ Revision: 36546
- rebuild with correct optflags

* Tue Jun 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 35830
- change group to System/Servers, altough it is not really meaningful


* Mon May 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2008.0
- initial standalone package 
